<?php
/**
 * Template for displaying search form in Biuro
 *
 * @package WordPress
 * @subpackage Biuro
 * @since 1.0
 * @version 1.0
 */

    global $query_string;
?>

<?php /*
<form class="c-search" action="<?php echo $searchPageURL; ?>" method="get">
*/ ?>

<form id="search" class="c-search" action="<?php echo home_url(); ?>" method="get">


<?php
    if ( is_front_page() ):
        while ( have_posts() ) :

            the_post();
            the_content();

        endwhile;
    endif;

    if ( is_search() ):
        wp_parse_str( $query_string, $searchQuery );
    endif;

?>

    <datalist id="search-cities">
<?php
            $cities = get_terms( array(
                'taxonomy' => 'city',
                'orderby' => 'count',
                'order' => 'DESC'
                // 'orderby' => array(
                //     'title' => 'DESC'
                //     // 'menu_order' => 'ASC'
                // )
                // 'hide_empty' => false,
            ));

            if ( ! empty( $cities ) && ! is_wp_error( $cities ) ):
                foreach ( $cities as $city ):
                    $name = $city->name;
                    $termID = $city->term_id;
                    // $selected = ($cityID == $termID) ? 'selected="selected"' : '';

                    $where = 'valid.meta_value > "' . date('Y-m-d', strtotime('-1 days')) . '" AND city.term_id = ' . $termID;

                    $params = array(
                        // 'orderby' => 'title DESC',
                        'where' => $where,
                        'limit'   => -1
                    );

                    $jobsIn = pods( 'job', $params );

                    if ( 0 < $jobsIn->total() ):
?>
                    <option value="<?php echo $name; ?>" <?php echo $selected; ?>><?php echo $name; ?> (<?php echo $jobsIn->total(); ?>)</option>
<?php
                    endif;
                endforeach;
             endif;
?>
    </datalist>
    <input list="search-cities" id="search-city" name="city"  value="<?php echo ($searchQuery) ? $searchQuery['city'] : ''; ?>" placeholder="Vietovė" />

    <datalist id="search-queries">
<?php
            $options = array();

            $types = get_terms( array(
                'taxonomy' => 'type',
                'orderby' => 'count',
                'order' => 'DESC'
                // 'orderby' => array(
                //     'title' => 'DESC'
                //     // 'menu_order' => 'ASC'
                // )
                // 'hide_empty' => false,
            ));

            if ( ! empty( $types ) && ! is_wp_error( $types ) ):
                foreach ( $types as $type ):

                    $name = $type->name;
                    $termID = $type->term_id;
                    $selected = '';
                    // $selected = ($cityID == $termID) ? 'selected="selected"' : '';

                    $where = 'valid.meta_value > "' . date('Y-m-d', strtotime('-1 days')) . '" AND type.term_id = ' . $termID;

                    $params = array(
                        // 'orderby' => 'title DESC',
                        'where' => $where,
                        'limit'   => -1
                    );

                    $jobsIn = pods( 'job', $params );

                    if ( 0 < $jobsIn->total() ):
                        array_push( $options , array( 'name' => $name, 'total' => $jobsIn->total() ) );
/*
?>
                    <option value="<?php echo $name; ?>"><?php echo $name; ?> (<?php echo $jobsIn->total(); ?>)</option>
<?php
*/
                    endif;
                endforeach;
            endif;

            $fields = get_terms( array(
                'taxonomy' => 'field',
                'orderby' => 'count',
                'order' => 'DESC'
                // 'orderby' => array(
                //     'title' => 'DESC'
                //     // 'menu_order' => 'ASC'
                // )
                // 'hide_empty' => false,
            ));

            if ( ! empty( $fields ) && ! is_wp_error( $fields ) ):
                foreach ( $fields as $field ):

                    $name = $field->name;
                    $termID = $field->term_id;
                    $selected = '';
                    // $selected = ($cityID == $termID) ? 'selected="selected"' : '';

                    $where = 'valid.meta_value > "' . date('Y-m-d', strtotime('-1 days')) . '" AND field.term_id = ' . $termID;

                    $params = array(
                        // 'orderby' => 'title DESC',
                        'where' => $where,
                        'limit'   => -1
                    );

                    $jobsIn = pods( 'job', $params );

                    if ( 0 < $jobsIn->total() ):
                        array_push( $options , array( 'name' => $name, 'total' => $jobsIn->total() ) );
                    endif;
                endforeach;
            endif;

            usort($options, function ($item1, $item2) {
                return $item2['total'] <=> $item1['total'];
            });

            foreach ( $options as $option ):
?>
                    <option value="<?php echo $option['name']; ?>"><?php echo $option['name']; ?> (<?php echo $option['total']; ?>)</option>
<?php
            endforeach;


?>
    </datalist>
    <input list="search-queries" id="search-query" name="s" value="<?php echo ($searchQuery) ? $searchQuery['s'] : ''; ?>" placeholder="Raktažodis" />

    <input type="submit" value="Ieškoti" class="filter-button" />
</form>


<?php
/*


<ul class="search_box">
    <li>
        <label for="label">Paieška:</label>
        <div id="search-input-block">
            <input type="text" name="search" id="search" value="<?php echo $search; ?>" class="input text nolabel" />
            <button aria-label="Ieškoti" type="submit" id="filter-action" class="submit action" ></button>
        </div>
        <a href="<?php echo pll_home_url(); ?>" id="filter-expand" class="url close">Išplėstinė paieška</a></li>
    <li class="filter-additional">
        <label for="city">Miestas:</label>
        <select name="city" id="city" class="el_130">
            <option value="">Visi miestai</option>
<?php
            $cities = get_terms( array(
                'taxonomy' => 'city',
                'hide_empty' => false,
            ));

            if ( ! empty( $cities ) && ! is_wp_error( $cities ) ):
                foreach ( $cities as $city ):
                    $name = $city->name;
                    $termID = $city->term_id;
                    $selected = ($cityID == $termID) ? 'selected="selected"' : '';
?>
                    <option value="<?php echo $termID; ?>" <?php echo $selected; ?>><?php echo $name; ?></option>
<?php
                endforeach;
             endif;
?>
        </select>
        <label for="period" style="opacity: 0.45">Laikotarpis:</label>
        <select name="period" id="period" class="el_130" style="opacity: 0.45">
            <option value="">Nesvarbu</option>
            <option value="1">Šiandienos</option>
            <option value="7">Savaitės</option>
            <option value="30">Mėnesio</option>
        </select>
    </li>
    <li class="filter-additional">
        <label for="field">Darbo sritis:</label>
        <select name="field" id="field" class="el_130">
            <option value="">Visos sritys</option>
<?php
            $fields = get_terms( array(
                'taxonomy' => 'field',
                'hide_empty' => false,
            ));

            if ( ! empty( $fields ) && ! is_wp_error( $fields ) ):
                foreach ( $fields as $field ):
                    $name = $field->name;
                    $termID = $field->term_id;
                    $selected = ($fieldID == $termID) ? 'selected="selected"' : '';
?>
                    <option value="<?php echo $termID; ?>" <?php echo $selected; ?>><?php echo $name; ?></option>
<?php
                endforeach;
             endif;
?>
        </select>
        <label for="type">Darbo rūšis:</label>
        <select name="type" id="type" class="el_130">
            <option value="">Visos rūšys</option>
<?php
            $types = get_terms( array(
                'taxonomy' => 'type',
                'hide_empty' => false,
            ));

            if ( ! empty( $types ) && ! is_wp_error( $types ) ):
                foreach ( $types as $type ):
                    $name = $type->name;
                    $termID = $type->term_id;
                    $selected = ($typeID == $termID) ? 'selected="selected"' : '';
?>
                    <option value="<?php echo $termID; ?>" <?php echo $selected; ?>><?php echo $name; ?></option>
<?php
                endforeach;
             endif;
?>
        </select>
        <input type="submit" value="Ieškoti" class="filter-button">
        <a href="<?php echo pll_home_url(); ?>" class="filter-button">Išvalyti</a>
    </li>
</ul>
</form>

<?php

<form role="search" id="top-search-form" action="<?php echo pll_home_url(); ?>" method="get">
    <label for="search"><?php pll_e('Job search'); ?></label>
    <div id="search-input-block">
        <input type="text" name="search" id="search" value="" class="input text nolabel" />
        <button aria-label="Ieškoti" type="submit" id="filter-action" class="submit action" ></button>
    </div>
</form>
*/
?>
